#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define module	pygments
Summary:	A generic syntax highlighter as Python 3 module
Summary(pl.UTF-8):	Moduł Pythona 3 do ogólnego podświetlania składni
Name:		python3-%{module}
Version:	2.10.0
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/pygments/
Source0:	https://files.pythonhosted.org/packages/source/P/Pygments/Pygments-%{version}.tar.gz
# Source0-md5:	87369a4e15019caf9cf056ab2c5858b3
Patch0:		rpmspec.patch
URL:		http://pygments.org/
BuildRequires:	python3 >= 1:3.5
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%{?with_doc:BuildRequires:	sphinx-pdg}
Requires:	python3-modules >= 1:3.5
Requires:	python3-setuptools
Conflicts:	python-pygments < 2.5.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pygments is a generic syntax highlighter for general use in all kinds
of software such as forum systems, wikis or other applications that
need to prettify source code. Highlights are:
- a wide range of common languages and markup formats is supported
- special attention is paid to details that increase highlighting
  quality
- support for new languages and formats are added easily; most
  languages use a simple regex-based lexing mechanism
- a number of output formats is available, among them HTML, RTF, LaTeX
  and ANSI sequences
- it is usable as a command-line tool and as a library
- ... and it highlights even Brainf*ck!

%description -l pl.UTF-8
Pygments to moduł Pythona do podświetlania składni ogólnego
przeznaczenia we wszelkiego rodzaju programach, takich jaka systemy
forów, wiki i inne plikacje wymagające ładnego wyświetlania kodu
źródłowego. Zalety Pygments to:
- obsługiwany szeroki zakres popularnych języków i formatów znaczników
- zwrócenie szczególnej uwagi na szczegóły zwiększające jakość
  podświetlania
- łatwa obsługa nowych języków i formatów; większość języków
  wykorzystuje prosty mechanizm analizy leksykalnej oparty o wyrażenia
  regularne
- dostępność wielu formatów wyjściowych, m.in. HTML, RTF, LaTeX i
  sekwencje ANSI
- możliwość używania z linii poleceń oraz jako biblioteki
- ...a także - podświetla nawet Brainf*cka!

%package apidocs
Summary:	API documentation for Python Pygments module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona Pygments
Group:		Documentation

%description apidocs
API documentation for Python Pygments module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona Pygments.

%prep
%setup -q -n Pygments-%{version}
%patch0 -p1

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C doc html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/pygmentize{,-3}

ln -sf pygmentize-3 $RPM_BUILD_ROOT%{_bindir}/pygmentize

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE README.rst
%attr(755,root,root) %{_bindir}/pygmentize
%attr(755,root,root) %{_bindir}/pygmentize-3
%{py3_sitescriptdir}/pygments
%{py3_sitescriptdir}/Pygments-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/_build/html/{_static,docs,*.html,*.js}
%endif
%changelog
* Mon Aug 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pygments.git;a=log;h=master

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> f9e8fae
- up to 2.10.0

* Wed Jun 30 2021 Jan Palus <atler@pld-linux.org> ba164c0
- up to 2.9.0

* Wed Apr 14 2021 Jan Palus <atler@pld-linux.org> aa6c4d9
- up to 2.8.1

* Sun Feb 07 2021 Jakub Bogusz <qboosh@pld-linux.org> b4d733c
- updated to 2.7.4

* Sat Sep 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 6fad581
- fixed python3 package P/O/C

* Sat Sep 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 75ca712
- python-pygments.spec updated to 2.7.1 for python 3.5+

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 4249936
- release 2 (by relup.sh)

* Wed Jan 01 2020 Jakub Bogusz <qboosh@pld-linux.org> f111e54
- add Conflicts to handle default script move

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 734c86c
- updated to 2.5.2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> bf318b7
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Sep 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 3bee43f
- updated to 2.4.2
- removed obsolete py3.7 patch

* Wed Jul 18 2018 Jakub Bogusz <qboosh@pld-linux.org> e96db9a
- added py3.7 patch (fix StopIteration issues with python 3.7)
- run unit tests, package Sphinx docs
- release 3

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5be28b4
- release 2 (by relup.sh)

* Fri Mar 03 2017 Jakub Bogusz <qboosh@pld-linux.org> ad49381
- updated to 2.2.0

* Mon Jan 16 2017 Jakub Bogusz <qboosh@pld-linux.org> de554ad
- updated to 2.1.3

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fb3990
- python3.6
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 2b1ed12
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> be78b89
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> cd0bf67
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b2fb6f9
- release 4 (by relup.sh)

